> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if a derogation is required for a branch/action



## OpenAPI

````yaml /openapi.json post /derogations/branches/{branchId}/check
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /derogations/branches/{branchId}/check:
    post:
      tags:
        - derogations
      summary: Check if a derogation is required for a branch/action
      operationId: DerogationController_checkDerogationRequirement
      parameters:
        - name: branchId
          required: true
          in: path
          description: Id of the branch
          schema:
            type: string
        - name: action
          required: true
          in: query
          description: Action for the derogation
          schema:
            $ref: '#/components/schemas/DerogationAction'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckDerogationRequirementInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckDerogationRequirementOutput'
components:
  schemas:
    DerogationAction:
      type: string
      enum:
        - QUOTE
        - CONFIRM
        - SIGN
    CheckDerogationRequirementInputBody:
      type: object
      properties:
        customFieldsToOverride:
          description: Custom fields you want to check derogation requirement with
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
    CheckDerogationRequirementOutput:
      type: object
      properties:
        needsDerogation:
          type: boolean
          description: Whether a derogation is required for the branch/action
      required:
        - needsDerogation
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value

````